"""
Project: NSF Award Data
Author: Shubhanshu Mishra <smishra8@illinois.edy>
NSF Grant ID: 1348742
NSF Grant Title: Collaborative Research: STEM Workforce Training: A Quasi-Experimental Approach Using the Effects of Research Funding
Investigator(s): Vetle Torvik vtorvik@illinois.edu (Principal Investigator)
Date: 12/9/2013
Copyright 2013, University of Illinois at Urbana-Champaign
"""

from settings import *

def getDBConnectorString():
  mysql_settings = SETTINGS["MYSQL_SETTINGS"]
  return "mysql://%s:%s@%s/%s" % (mysql_settings["USER"], mysql_settings["PASSWORD"],\
                              mysql_settings["HOST"], mysql_settings["DB_NAME"])

print getDBConnectorString()
engine = create_engine(getDBConnectorString())
Session = sessionmaker(bind=engine)
session = Session()

