"""
Project: NSF Award Data
Author: Shubhanshu Mishra <smishra8@illinois.edy>
NSF Grant ID: 1348742
NSF Grant Title: Collaborative Research: STEM Workforce Training: A Quasi-Experimental Approach Using the Effects of Research Funding
Investigator(s): Vetle Torvik vtorvik@illinois.edu (Principal Investigator)
Date: 12/9/2013
Copyright 2013, University of Illinois at Urbana-Champaign
"""

from settings import *
from downloadNSF import *
from unzip import *

print """
Starting Grant Linker.
Last updated date: {0}.
Site: {1}
Zip data folder: {2}
XML data folder: {3}""".format(SETTINGS['LAST_UPDATED_DOWNLOAD'], \
    SETTINGS['NSF_BASE_URL'], \
    SETTINGS['ZIP_DATA'], SETTINGS['XML_DATA'])

downloadObj = DownloadNSF()
if downloadObj.isNewDownload:
  if not unzipAll(SETTINGS['ZIP_DATA']):
    print "Follow steps after unzip."

  
